Sign inGet started

Update participant by v key and value

PATCH
/workspaces/{workspaceId}/conversations/{conversationId}/participants/{identifierKey}/{identifierValue}
Update a participant's status in the conversation by specifying their identifier key and value. For more information on identifier keys and values, please refer to the "Conversation Participants" page.
Payload permintaan
status
string
Participant status in the conversation.
Possible values: pending, invited, active
Payload respons
avatarUrl
string
contact
object
Tampilkan atribut turunan
contact.identifierKey
string
wajib
contact.identifierValue
string
wajib
contact.platformAddress
string
contact.platformAddressSelector
string
conversationId
string
createdAt
string
displayName
string
id
string
wajib
resourceUri
string
status
string
Possible values: invited, pending, active, inactive
type
string
wajib
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
updatedAt
string
Contoh kode
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants/{identifierKey}/{identifierValue}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Contoh kode
curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/c9c60caa-eaf5-4628-9687-91de4d452bfa/participants/emailaddress/john.doe@bird.com" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "status": "active"
}'